Package: groovy.org.codenarc.rule.design

## [Groovy] Class ImplementationAsTypeAstVisitor

- groovy.org.codenarc.rule.design.ImplementationAsTypeAstVisitor

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression)`
    `` | `void` | `visitConstructor(org.codehaus.groovy.ast.ConstructorNode constructorNode)`
    `` | `void` | `visitDeclarationExpression(org.codehaus.groovy.ast.expr.DeclarationExpression declarationExpression)`
    `` | `void` | `visitField(org.codehaus.groovy.ast.FieldNode fieldNode)`
    `` | `void` | `visitMethodEx(org.codehaus.groovy.ast.MethodNode methodNode)`

- - ### Method Detail

    - #### void visitClosureExpression(org.codehaus.groovy.ast.expr.ClosureExpression closureExpression)

    - #### @Override void visitConstructor(org.codehaus.groovy.ast.ConstructorNode constructorNode)

    - #### void visitDeclarationExpression(org.codehaus.groovy.ast.expr.DeclarationExpression declarationExpression)

    - #### void visitField(org.codehaus.groovy.ast.FieldNode fieldNode)

    - #### void visitMethodEx(org.codehaus.groovy.ast.MethodNode methodNode)